<?php

/*
------------------------
Авторизация пользователя
------------------------
*/ 

ACCESS('guests'); 
  
//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='?'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Авторизация')."";
ECHO "</div>";

IF (CONFIG('AUT_ACCESS') == 0){
  
  ERROR('Извините, авторизация закрыта', 'forward');
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='?'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".LG('Авторизация')."";
  ECHO "</div>";
  
  REQUIRE (ROOT.'/system/connections/footer.php'); 
  EXIT;
  
}

IF (ISSET($_SESSION['captcha']) && $_SESSION['captcha'] > 0)
{
  
  $captcha = 1; 
  
}ELSE{ 
  
  $captcha = 0;
  
} 

IF (POST('password') && POST('login')){
  
  $err_data = 0;
  
  IF (!ISSET($_SESSION['captcha'])) {$_SESSION['captcha'] = 0;}    
  $_SESSION['captcha'] ++;
  
  IF ($captcha == 1){
    
    IF (!POST('captcha') OR !POST('captcha_key')) {
      
      ERROR('Вы не ввели числа с картинки', 'session');
      $err_data = 1;
    
    }
    
    IF (MD5((int)POST('captcha') + $captcha_random_seed) != POST('captcha_key')) {
      
      ERROR('Числа с картинки введены неверно', 'session');
      $err_data = 1;
    
    }
  
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `LOGIN` = '".ADSL(POST('login'))."' AND `PASSWORD` = '".SHIF(POST('password'))."' LIMIT 1") == 0)
  {
    
    ERROR('Неправильный логин или пароль', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/?get=login');
  
  }
  
  $user = DB::GET_STRING("SELECT `ID` FROM `USERS` WHERE `LOGIN` = '".ADSL(POST('login'))."' AND `PASSWORD` = '".SHIF(POST('password'))."' LIMIT 1");
  
  $hash = USER_HASH($user['ID']);
  
  DB::GET_SET("UPDATE `USERS` SET `IP` = '".IP."', `BROWSER` = '".USER_BROWSER."', `HASH` = '".$hash."' WHERE `ID` = '".$user['ID']."' LIMIT 1");
  
  $_SESSION['HASH'] = $hash;
  
  SETCOOKIE('DOUBLE', 1, TIME() + 60 * 60 * 24 * 365);
  SETCOOKIE('USER_ID', $user['ID'], TIME() + 60 * 60 * 24 * 365);
  SETCOOKIE('PASSWORD', ENCRYPT(POST('password'), $user['ID']), TIME() + 60 * 60 * 24 * 365);
  
  SUCCESS('Вы успешно авторизовались', 'session');
  
  $_SESSION['captcha'] = 0;
  
  REDIRECT('/id'.$user['ID'].'');
  
}

ECHO "<div class='list-body'>";

ECHO "<div class='list-menu'>";

ECHO "<form method='post'>";

HTML::INPUT('login', 'Логин', 'Ваш логин:');
HTML::INPUT('password', 'Пароль', 'Ваш пароль:', '32', '', 'form-control-100', 'password');

IF ($captcha == 1){
  
  CAPTCHA('Введите числа с картинки', 'form-control-30');
  
}

ECHO "<a href='/?get=password'>";
ECHO ICONS('question-circle', 17, 'fa-fw');
ECHO " ".LG('Забыли пароль')."?";
ECHO "</a><br /><br />";

HTML::BUTTON('btn-login', 'ok', 'sign-in', 'ВОЙТИ НА САЙТ');

ECHO "<a href='/?get=registration' class='btn-registration' style='color: white;'>";
ECHO ICONS('mail-forward', 17, 'fa-fw');
ECHO " ".LG('РЕГИСТРАЦИЯ')."</a>";

ECHO "</form>";

ECHO "</div>";

ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='?'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Авторизация')."";
ECHO "</div>";
  
?>